#
# spec file for package jasper (Version 1.701.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libdrm libdrm-devel libgcc41 libjpeg libjpeg-devel libltdl libmudflap41 libnscd libstdc++-devel libstdc++41 libstdc++41-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           jasper
BuildRequires:  freeglut-devel libdrm-devel libjpeg-devel libstdc++-devel
Url:            http://www.ece.uvic.ca/~mdadams/jasper/
License:        Public Domain, Freeware
Group:          System/Libraries
AutoReqProv:    on
Version:        1.701.0
Release:        41
Summary:        An Implementation of the JPEG-2000 Standard, Part 1
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}-uninitialized.patch
Patch2:         %{name}-%{version}-bug258253.patch
Patch3:         %{name}-%{version}-bug392410.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains an implementation of the image compression
standard, JPEG-2000, Part 1. It consists of tools for conversion to and
from the JP2 and JPC formats.



Authors:
--------
    Michael D. Adams <mdadams@ieee.org>

%debug_package
%package -n libjasper
License:        Public Domain, Freeware
Summary:        JPEG-2000 library
Group:          System/Libraries

%description -n libjasper
This package contains libjasper, a library implementing the JPEG-2000
image compression standard Part 1.



Authors:
--------
    Michael D. Adams <mdadams@ieee.org>

%prep
%setup -q
%patch
%patch2
%patch3

%build
%{suse_update_config}
autoreconf -i -f
CFLAGS="$RPM_OPT_FLAGS -Wall" ./configure --prefix=/usr --enable-shared --libdir=%{_libdir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mv doc/README doc/README.doc

%post -n libjasper
%run_ldconfig

%postun -n libjasper
%run_ldconfig

%files
%defattr(-,root,root)
%doc COPYRIGHT ChangeLog INSTALL LICENSE NEWS README doc/*
/usr/bin/imgcmp
/usr/bin/imginfo
/usr/bin/jasper
/usr/bin/jiv

%files -n libjasper
%defattr(-,root,root)
/usr/include/jasper
%{_libdir}/libjasper.a
%{_libdir}/libjasper.la
%{_libdir}/libjasper.so*
%{_libdir}/libjasper-*.so*

%changelog
* Wed Nov 12 2008 - nadvornik@suse.cz
- use the last version of the patches [bnc#392410]
* Tue May 27 2008 - nadvornik@suse.cz
- fixed multiple integer overflows [bnc#392410]
* Tue Apr 17 2007 - nadvornik@suse.cz
- fixed segfault and heap corruption on malformed input [#258253]
* Mon May 22 2006 - pnemec@suse.cz
- fixed uninitialized varibale #176395
  added -uninitialzed.patch
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jun 14 2004 - sbrabec@suse.cz
- Updated to version 1.701.0.
* Thu Feb 05 2004 - sbrabec@suse.cz
- Updated to version 1.700.5.
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Thu Jul 24 2003 - nadvornik@suse.cz
- updated to 1.700.2
* Mon May 12 2003 - ro@suse.de
- added libstdc++-devel to neededforbuild
* Wed Oct 23 2002 - uli@suse.de
- update -> 1.600.0 (improved support for the JP2 format, new
  application program "jiv" (simple image viewer), improved support
  for the PNM family of formats, numerous other minor bugs fixed)
* Sat Aug 24 2002 - ro@suse.de
- fix doc file section for new cp behaviour
* Tue Jul 02 2002 - meissner@suse.de
- buildrooted, run autoreconf*
* Thu Apr 18 2002 - sf@suse.de
- added %%{_libdir} to configure for lib/lib64
- added %%{suse_update_config}
* Fri Jan 25 2002 - uli@suse.de
- update -> 1.500.4 (improved docs)
* Thu Dec 06 2001 - uli@suse.de
- update -> 1.500.3 (fixes)
* Thu Aug 16 2001 - uli@suse.de
- build shared lib, too
* Mon Jul 30 2001 - uli@suse.de
- initial package
